#ifndef ACCESS_H
#define ACCESS_H

#include <stdio.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <netdb.h>

#include "types.h"
#include "acl.h"
#include "dllapps.h"
#include "netio.h"
#include "process.h"

INT evalPermission(CHAR *pnames);
CHAR *perm2names(INT permissionMask);
VOID filterDump(FILE *dumpFILE);
VOID threadDump(FILE *dumpFILE);
VOID accessDump(FILE *dumpFILE);
INT validateAccess(tftpR_t *request, INT fake);
VOID dumpProcList(VOID);
INT getProcNum(VOID);
INT checkThreads(tftpR_t *req, dlp_t **pid);

#endif /* ACCESS_H */
