#ifndef UTIL_H
#define UTIL_H

#include <netinet/in.h>
#include <sys/stat.h>
#include "types.h"

CHAR *baseName (CHAR *path);
CHAR *dirName (CHAR *path);
CHAR *realPath (CHAR *root, CHAR *relpath);
INT dpstat (CHAR *filename, struct stat *sb);
CHAR *qstrtok (CHAR *buf, CHAR *pat, CHAR **context, CHAR *quotes);
CHAR *zstrtok (CHAR *buf, CHAR *pat, CHAR **context);
INT checkFileMap (CHAR *map);
CHAR *xlateFileMap (CHAR *path, CHAR *map, struct sockaddr_in *client);
CHAR *fmtstat (struct stat *st);

#endif /* UTIL_H */
